MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Namespaces | Macros
MyGUI_DynLib.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include <string>`

Go to the source code of this file.

## Data Structures
class | MyGUI::DynLib
| Resource holding data about a dynamic library. More...

## Namespaces
| MyGUI

## Macros
#define | MYGUI_DYNLIB_HANDLE void*
#define | MYGUI_DYNLIB_LOAD(a) dlopen( a, RTLD_LAZY | RTLD_GLOBAL)
#define | MYGUI_DYNLIB_GETSYM(a, b) dlsym( a, b )
#define | MYGUI_DYNLIB_UNLOAD(a) dlclose( a )

## Macro Definition Documentation

#define MYGUI_DYNLIB_GETSYM | ( |  | a,
|  |  | b
| ) |  | dlsym( a, b )

Definition at line 26 of file MyGUI_DynLib.h.

#define MYGUI_DYNLIB_HANDLE void*

Definition at line 24 of file MyGUI_DynLib.h.

#define MYGUI_DYNLIB_LOAD | ( |  | a | ) | dlopen( a, RTLD_LAZY | RTLD_GLOBAL)

Definition at line 25 of file MyGUI_DynLib.h.

#define MYGUI_DYNLIB_UNLOAD | ( |  | a | ) | dlclose( a )

Definition at line 27 of file MyGUI_DynLib.h.